Bug 206753 - Panic with kernel-2.6.17-1.2187_FC5
Panic with kernel-2.6.17-1.2187_FC5
Status: CLOSED DUPLICATE of bug 206630
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
x86_64 Linux
medium Severity urgent
: ---
: ---
Assigned To: Herbert Xu
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-16 01:59 EDT by Peter Collinson
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-17 19:56:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Bootstrap sequence from /var/log/messages (29.04 KB, text/plain)
2006-09-17 02:34 EDT, Peter Collinson
no flags Details

  None (edit)
Description Peter Collinson 2006-09-16 01:59:29 EDT
Description of problem:
Kernel dies constently:
Console log:
 ----------- [cut here ] --------- [please bite here ] 
---------
Kernel BUG at net/core/dev.c:1206
invalid opcode: 0000 [1] SMP 
last sysfs file: /block/sda/sda1/size
CPU 0 
Modules linked in: autofs4 ipv6 ip_conntrack_netbios_ns iptable_nat ip_nat ipt_R
EJECT xt_state ip_conntrack nfnetlink ipt_TCPMSS xt_tcpudp iptable_filter ip_tab
les x_tables video button battery acpi_memhotplug ac lp parport_pc parport sg tg
3 ohci_hcd ehci_hcd forcedeth floppy i2c_nforce2 i2c_core serio_raw dm_snapshot 
dm_zero dm_mirror dm_mod ext3 jbd sata_nv libata sd_mod scsi_mod
Pid: 1902, comm: httpd Not tainted 2.6.17-1.2187_FC5 #1
RIP: 0010:[<ffffffff80407519>] <ffffffff80407519>{skb_gso_segment+49}
RSP: 0018:ffff81002df879e8  EFLAGS: 00010297
RAX: 0000000000000000 RBX: ffff81002da6f368 RCX: ffff81002da6f368
RDX: 0000000000010000 RSI: 0000000000010029 RDI: ffff81002da6f368
RBP: ffff81002da6f368 R08: 0000000000000008 R09: ffffffff8068fe80
R10: 0000000000000070 R11: 0000000000000005 R12: ffff81003ced0200
R13: ffff81003ced0000 R14: ffff81003d800800 R15: 00000000ffff0a19
FS:  00002aaaacf378e0(0000) GS:ffffffff8069e000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00002aaaab7614e8 CR3: 000000002df83000 CR4: 00000000000006e0
Process httpd (pid: 1902, threadinfo ffff81002df86000, task ffff81003df527a0)
Stack: ffff81003ced0000 ffffffff804082fa ffffffff80425674 ffff81003ced0000 
       ffff81002da6f368 ffff81003ced0200 0000000000000000 ffffffff804176f5 
       ffff81003ced0000 0000000000000000 
Call Trace: <ffffffff804082fa>{dev_hard_start_xmit+361}
       <ffffffff80425674>{ip_finish_output+0} <ffffffff804176f5>{__qdisc_run+244
}
       <ffffffff8023153c>{dev_queue_xmit+291} <ffffffff80234052>{ip_output+512}
       <ffffffff802369aa>{ip_queue_xmit+996} <ffffffff8021b3c9>{bad_range+16}
       <ffffffff8020a13f>{get_page_from_freelist+841} <ffffffff80222ae7>{tcp_tra
nsmit_skb+1567}
       <ffffffff8042e711>{tcp_push_one+215} <ffffffff80227447>{tcp_sendmsg+2038}
       <ffffffff80239fd4>{do_sock_write+196} <ffffffff80401a39>{sock_writev+183}
       <ffffffff8029f419>{autoremove_wake_function+0} <ffffffff802075ed>{find_ge
t_page+71}
       <ffffffff80213e89>{filemap_nopage+390} <ffffffff802089be>{__handle_mm_fau
lt+1303}
       <ffffffff8020c891>{do_sync_read+199} <ffffffff80269d8e>{_spin_lock_irqsav
e+9}
       <ffffffff8026bc35>{do_page_fault+1172} <ffffffff802ca9ec>{do_readv_writev
+374}
       <ffffffff802120d9>{__fput+357} <ffffffff802cab92>{sys_writev+69}
       <ffffffff802629ce>{system_call+126}

Code: 0f 0b 68 f6 38 4a 80 c2 b6 04 48 8b 93 d0 00 00 00 48 8b 43 
RIP <ffffffff80407519>{skb_gso_segment+49} RSP <ffff81002df879e8>
 <3>BUG: sleeping function called from invalid context at include/linux/rwsem.h:
43
in_atomic():1, irqs_disabled():0

Call Trace: <ffffffff80299774>{blocking_notifier_call_chain+31}
       <ffffffff80215bf6>{do_exit+32} <ffffffff8027071f>{kernel_math_error+0}
       <ffffffff80270cbc>{do_invalid_op+173} <ffffffff80407519>{skb_gso_segment+49}
       <ffffffff80269d8e>{_spin_lock_irqsave+9} <ffffffff80222cba>{__up_read+25}
       <ffffffff802638a5>{error_exit+0} <ffffffff80407519>{skb_gso_segment+49}
       <ffffffff804082fa>{dev_hard_start_xmit+361} <ffffffff80425674>{ip_finish_output+0}
       <ffffffff804176f5>{__qdisc_run+244} <ffffffff8023153c>{dev_queue_xmit+291}
       <ffffffff80234052>{ip_output+512} <ffffffff802369aa>{ip_queue_xmit+996}
       <ffffffff8021b3c9>{bad_range+16} <ffffffff8020a13f>{get_page_from_freelist+841}
       <ffffffff80222ae7>{tcp_transmit_skb+1567} <ffffffff8042e711>{tcp_push_one+215}
            


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. 
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Peter Collinson 2006-09-17 02:34:16 EDT
Created attachment 136465 [details]
Bootstrap sequence from /var/log/messages

I don't know if this is relevant but the nightly log sweep flagged these lines
in /var/log/messages
Sep 16 05:45:52 rose kernel: powernow-k8: Found 1 AMD Athlon 64 / Opteron
processors (version 1.60.2)
Sep 16 05:45:52 rose kernel: powernow-k8: BIOS error - no PSB or ACPI _PSS
objects

I thought that attaching the boot sequence may assist.
Comment 2 Dave Jones 2006-09-17 10:19:31 EDT
Unrelated. That might be already fixed in the upcoming 2.6.18 kernel.
Comment 3 Herbert Xu 2006-09-17 19:56:18 EDT

*** This bug has been marked as a duplicate of 206630 ***
Comment 4 Gilboa Davara 2006-09-19 08:16:47 EDT
I seeing the same OOPs on 2.6.17-1.2187_FC5 on a 4 core Opteron xw9300 HP
workstation.

#206630 seems to be Xen related (at least by the comments, that is). Are you
certain that this bug is a duplicate?

- Gilboa

Note You need to log in before you can comment on or make changes to this bug.